RunReveal

ParamCreate creates a new query parameter in the workspace.

ParamCreate creates a new query parameter in the workspace.

POST
/params/create

Request Body

application/jsonRequired

createdAtobject

createdBystring

displayNamestring

idstring

namestring

updatedAtobject

valuestring

workspaceIDstring

curl -X POST "https://api.runreveal.com/params/create" \
  -H "Content-Type: application/json" \
  -d '{
    "createdAt": {},
    "createdBy": "string",
    "displayName": "string",
    "id": "string",
    "name": "string",
    "updatedAt": {},
    "value": "string",
    "workspaceID": "string"
  }'

Success

{
  "error": "string",
  "errorCode": "string",
  "result": {
    "createdAt": {},
    "createdBy": "string",
    "displayName": "string",
    "id": "string",
    "name": "string",
    "updatedAt": {},
    "value": "string",
    "workspaceID": "string"
  },
  "success": true
}

ParamDelete deletes a query parameter by ID.

ParamDelete deletes a query parameter by ID.

DELETE
/params/delete
curl -X DELETE "https://api.runreveal.com/params/delete?id=string"

Success

{
  "error": "string",
  "errorCode": "string",
  "result": {},
  "success": true
}

ParamList returns a paginated list of the query parameters in the workspace, optionally filtered by a search term.

ParamList returns a paginated list of the query parameters in the workspace, optionally filtered by a search term.

GET
/params/list

Query Parameters

searchstring

curl -X GET "https://api.runreveal.com/params/list?search=string"

Success

{
  "error": "string",
  "errorCode": "string",
  "result": [
    {
      "createdAt": {},
      "createdBy": "string",
      "displayName": "string",
      "id": "string",
      "name": "string",
      "updatedAt": {},
      "value": "string",
      "workspaceID": "string"
    }
  ],
  "success": true
}

ParamUpdate updates an existing query parameter.

ParamUpdate updates an existing query parameter.

PUT
/params/update

Request Body

application/jsonRequired

createdAtobject

createdBystring

displayNamestring

idstring

namestring

updatedAtobject

valuestring

workspaceIDstring

curl -X PUT "https://api.runreveal.com/params/update" \
  -H "Content-Type: application/json" \
  -d '{
    "createdAt": {},
    "createdBy": "string",
    "displayName": "string",
    "id": "string",
    "name": "string",
    "updatedAt": {},
    "value": "string",
    "workspaceID": "string"
  }'

Success

{
  "error": "string",
  "errorCode": "string",
  "result": {
    "createdAt": {},
    "createdBy": "string",
    "displayName": "string",
    "id": "string",
    "name": "string",
    "updatedAt": {},
    "value": "string",
    "workspaceID": "string"
  },
  "success": true
}